Subject: Re: Add git-archive [take #2]

From: Franck Bui-Huu <[email-masked]>
Date: Fri, 08 Sep 2006 11:43:54 +0200

Junio C Hamano wrote:
> 
> I do not think I removed upload-tar.  I removed it from daemon
> service list and the documentation for daemon, because that part
> is a new code.
> 
> 	git tar-tree --remote=../linux-2.6/.git HEAD
> 	git tar-tree --remote=kernel.org:git next
> 
> should still work; the former is "from a directory next door"
> and connect.c invokes local /bin/sh as the transport, and the
> latter is "ssh login to kernel.org and use ./git directory".
> 

Sorry I was speaking about the git protocol. It has been included
in master branch. But

	git tar-tree --remote=git://anything/repo.git

does not work anymore, does it ? Do you plan to make it work again
with git-upload-archive (that would need some modifications in
git-tar-tree --remote code) or just let the --remote option work
for local and ssh transport (that would be one good reason for using
for git-archive instead of git-tar-tree) ?

> I recall from earlier review of your code, "git archive" should
> work well over these two transports in addition to git://
> protocol that talks with git-daemon.
> 
yes
		Franck